Home
Home
  1. Payroll Provider API Prototypes
  • Salary Deduction
    • Welcome
    • Getting started
      • Availability and Onboarding
        • Light Availability Check
        • Full Availability Check
        • Onboarding
      • Salary Deduction
        • Deduction Instruction
        • Re-running Payroll
        • Deduction Payments and Reconciliation
        • Changes to Employee Status
    • API Reference
      • Authentication
      • Idempotency
      • Webhooks
        • Webhooks
      • Salary Deduction
        • Salary Deduction Data Request
        • Salary Deduction Confirmation Submission
    • Schemas
      • Availability Check
        • Light Availability Check Response
        • Light Availability Check Request
        • Full Availability Check Response
        • Full Availability Check Request
      • Core
        • ProblemDetails
      • Deduction Instructions
        • Salary Deduction
        • Confirmation Deduction Response
        • Salary Deduction Enablement Response
        • Employee Deduction Push Response
        • Employee Deduction Push Request
        • Latest Employee Deduction Push Response
      • Payment Account
        • Payment Account
        • Payment Information
      • Payroll
        • Salary Deduction Confirmation Data Submission
        • Salary Deduction Data Response
        • Payroll
        • Employee Payroll
        • Employment
        • Pay Date
        • Salary Deduction Enablement Request
      • Webhooks
        • Employee Update Payload
        • WebHook
  • Payroll Provider API Prototypes
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
    • Latest Salary Deduction Employee Data Push
      GET
  1. Payroll Provider API Prototypes

Full Availability Check

POST
/deductions/availability/full
OperationId:post_full_availability_check
Ontime calls this endpoint to find a consumer on the payrolls you manage, and their employments. Respond 200 with availability_status unavailable when the consumer is not found.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Example
{
    "availability_check": {
        "national_registration_number": "QQ123456C",
        "date_of_birth": "1969-05-19",
        "given_name": "Alice",
        "family_name": "Smith",
        "email_address": "alice.smith@example.org",
        "phone_number": "+44 7700 900123",
        "postal_code": "GU1 2AA",
        "currency": "GBP",
        "employer_name": null
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/availability/full' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "availability_check": {
        "national_registration_number": "QQ123456C",
        "date_of_birth": "1969-05-19",
        "given_name": "Alice",
        "family_name": "Smith",
        "email_address": "alice.smith@example.org",
        "phone_number": "+44 7700 900123",
        "postal_code": "GU1 2AA",
        "currency": "GBP",
        "employer_name": null
    }
}'

Responses

🟢200Success
application/json
Indicates the request was successfully processed by the server and a valid response is included in the body.
Bodyapplication/json

Examples
{
    "availability_check": {
        "national_registration_number": "QQ123456C",
        "availability_status": "confirmed",
        "currency": "GBP",
        "employments": [
            {
                "employment": {
                    "employee_id": "EMP-001",
                    "start_date": "2021-04-06",
                    "currency": "GBP",
                    "employer": {
                        "id": "EMPLOYER-001",
                        "name": "Emp Co Limited",
                        "registration_number": "01234567",
                        "sic_code": "64191",
                        "industry_name": "Financial Services",
                        "employer_opt_in_status": "accepted"
                    },
                    "payrolls": [
                        {
                            "payroll": {
                                "id": "PAYROLL-001",
                                "employment_status": "active",
                                "contract_type": "full_time",
                                "payment_run_frequency": "monthly",
                                "annualised_salary": 3000000,
                                "pay_dates": [
                                    {
                                        "pay_date": "2026-10-28",
                                        "payroll_cutoff": "2026-10-20",
                                        "pay_period": "October-26"
                                    },
                                    {
                                        "pay_date": "2026-11-27",
                                        "payroll_cutoff": "2026-11-19",
                                        "pay_period": "November-26"
                                    }
                                ]
                            }
                        }
                    ]
                }
            }
        ]
    }
}
🟠404Record Not Found
🟠400Bad Request
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
Previous
Light Availability Check
Next
Salary Deduction Enablement